低危 libxml2 2.9.10 parser.c xmlStringLenDecodeEntities 拒绝服务漏洞

CVE编号

CVE-2020-7595

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-01-22
漏洞描述
在libxml22.9.10中,解析器中的XML String Len Decode实体在一定的文件结束情况下有一个无限循环。
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://gitlab.gnome.org/GNOME/libxml2/commit/0e1a49c89076
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 xmlsoft libxml2 2.9.10 -
运行在以下环境
系统 alibaba_cloud_linux_2.1903 libxml2 * Up to
(excluding)
2.9.1-6.6.al7.5
运行在以下环境
系统 alpine_3.11 libxml2 * Up to
(excluding)
2.9.8-r2
运行在以下环境
系统 alpine_3.12 libxml2 * Up to
(excluding)
2.9.8-r3
运行在以下环境
系统 alpine_3.13 libxml2 * Up to
(excluding)
2.9.8-r3
运行在以下环境
系统 alpine_3.14 libxml2 * Up to
(excluding)
2.9.8-r3
运行在以下环境
系统 alpine_3.15 libxml2 * Up to
(excluding)
2.9.8-r3
运行在以下环境
系统 alpine_edge libxml2 * Up to
(excluding)
2.9.8-r3
运行在以下环境
系统 amazon_2 libxml2 * Up to
(excluding)
2.9.1-6.amzn2.5.1
运行在以下环境
系统 amazon_AMI libxml2 * Up to
(excluding)
2.9.1-6.4.41.amzn1
运行在以下环境
系统 centos_7 libxml2 * Up to
(excluding)
2.9.1-6.el7.5
运行在以下环境
系统 centos_8 libxml2 * Up to
(excluding)
2.9.7-8.el8
运行在以下环境
系统 debian_10 libxml2 * Up to
(excluding)
2.9.4+dfsg1-7+deb10u1
运行在以下环境
系统 debian_9 libxml2 * Up to
(excluding)
2.9.4+dfsg1-2.2+deb9u3
运行在以下环境
系统 fedora_30 libxml2 * Up to
(excluding)
2.9.10-3.fc30
运行在以下环境
系统 fedora_31 libxml2 * Up to
(excluding)
2.9.10-3.fc31
运行在以下环境
系统 fedora_32 libxml2 * Up to
(excluding)
2.9.10-1.fc32
运行在以下环境
系统 opensuse_Leap_15.1 libxml2 * Up to
(excluding)
2.9.7-lp151.5.9.1
运行在以下环境
系统 oracle_7 libxml2 * Up to
(excluding)
2.9.1-6.0.1.el7.5
运行在以下环境
系统 oracle_8 libxml2 * Up to
(excluding)
2.9.7-8.0.1.el8
运行在以下环境
系统 redhat_7 libxml2 * Up to
(excluding)
0:2.9.1-6.el7.5
运行在以下环境
系统 redhat_8 libxml2 * Up to
(excluding)
2.9.7-8.el8
运行在以下环境
系统 suse_12_SP5 libxml2 * Up to
(excluding)
2.9.4-46.34.1
运行在以下环境
系统 ubuntu_14.04 libxml2 * Up to
(excluding)
2.9.1+dfsg1-3ubuntu4.13+esm1
运行在以下环境
系统 ubuntu_16.04 libxml2 * Up to
(excluding)
2.9.3+dfsg1-1ubuntu0.7
运行在以下环境
系统 ubuntu_16.04.7_lts libxml2 * Up to
(excluding)
2.9.3+dfsg1-1ubuntu0.7
运行在以下环境
系统 ubuntu_18.04 libxml2 * Up to
(excluding)
2.9.4+dfsg1-6.1ubuntu1.3
运行在以下环境
系统 ubuntu_18.04.5_lts libxml2 * Up to
(excluding)
2.9.4+dfsg1-6.1ubuntu1.3
运行在以下环境
系统 unionos_20 libxml2 * Up to
(excluding)
2.9.4.4-1+dde
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-835 不可达退出条件的循环(无限循环)
阿里云安全产品覆盖情况